<?php
namespace Controllers;

class Clientsscales extends Controller {

	public function __construct() {
		parent::__construct();
		$this->model=new \Models\Clientsscales($this->db, $this->f3, $this->api_data);
	}

	// Обновление весов по конкретному протоколу и по конкретному ip
	function updatescale($id=null, $ip=null) {
		if((!$id && !$ip) || (is_object($ip) || is_object($id))) {
			$get=$this->f3->get('GET');
		}
		else {
			$get['id'] = $id;
			$get['ip'] = $ip;
		}
		$res=$this->model->updatescale($get);
		$res['txt']=$this->messages->message($res['txt'])['txt'];
		echo json_encode($res);
		exit();
	}

	// Обновление всех весов
	function update() {
		$res=$this->model->products_update();
		$res['txt']=$this->messages->message($res['txt'])['txt'];
		echo json_encode($res);
		exit();
	}
}
